Package org.eclipse.jdt.ui.actions

# Class OrganizeImportsAction.ObjectDelegate

java.lang.Object
org.eclipse.jdt.ui.actions.OrganizeImportsAction.ObjectDelegate

All Implemented Interfaces:
  `IActionDelegate`, `IObjectActionDelegate`

Enclosing class:
  OrganizeImportsAction

public static class OrganizeImportsAction.ObjectDelegate extends Object implements IObjectActionDelegate

## Constructor Summary

Constructors
Constructor
Description
`ObjectDelegate()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(IAction action)`
`void`
`selectionChanged(IAction action, ISelection selection)`
`void`
`setActivePart(IAction action, IWorkbenchPart targetPart)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectDelegate

public ObjectDelegate()

## Method Details

### setActivePart

public void setActivePart(IAction action, IWorkbenchPart targetPart)

Specified by:
  `setActivePart` in interface `IObjectActionDelegate`

### run

public void run(IAction action)

Specified by:
  `run` in interface `IActionDelegate`

### selectionChanged

public void selectionChanged(IAction action, ISelection selection)

Specified by:
  `selectionChanged` in interface `IActionDelegate`